Skip to main content
GET
/
api
/
cloud-integrations
/
{integration_id}
Get cloud integration
curl --request GET \
  --url https://api-prod.nomadicml.com/api/cloud-integrations/{integration_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "type": "gcs",
  "bucket": "<string>",
  "prefix": "<string>",
  "region": "<string>",
  "endpoint_url": "<string>",
  "role_arn": "<string>",
  "created_at": "<string>",
  "last_used": "<string>",
  "is_owner": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Path Parameters

integration_id
string
required

Cloud integration identifier.

Response

Successful response.

id
string
name
string
type
enum<string>
Available options:
gcs,
s3,
hf_bucket,
s3_storage_transfer
bucket
string
prefix
string
region
string
endpoint_url
string
role_arn
string
created_at
string
last_used
string
is_owner
boolean